Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.interview
Class InterviewSet

    java.lang.Object
      com.sun.interview.Interview
          com.sun.interview.InterviewSet

    public class InterviewSet

extends Interview

InterviewSet is an interview that is also a container for an ordered set of child interviews. The default execution order for the children is the order in which they are added to this container, but the order can be modified by specifying dependencies between child interviews: all dependencies for any child will be executed before the child itself. Child interviews are added into an interview set by specifying this interview as their parent. The interview is invoked by using `Interview.callInterview(com.sun.interview.Interview, com.sun.interview.Question)` in the usual way.

See Also:
  `Interview.Interview(Interview, String)`

Nested Class Summary
`static class` | `InterviewSet.CycleFault` This exception will be thrown when an attempt to made to specify a dependency that would create a dependency cycle.

Nested classes/interfaces inherited from class com.sun.interview.Interview
`Interview.BadHelpFault, Interview.Fault, Interview.HelpNotFoundFault, Interview.NotOnPathFault, Interview.Observer`

Field Summary

Fields inherited from class com.sun.interview.Interview
`CHECKSUM, EXPORT_IGNORE_ALL_EXCEPTIONS, EXPORT_IGNORE_NO_EXCEPTIONS, EXPORT_IGNORE_RUNTIME_EXCEPTIONS, EXTERNAL_PREF, INTERVIEW, LOCALE, MARKERS, MARKERS_PREF, QUESTION, SEMANTIC_MAX_VERSION, SEMANTIC_PRE_32, SEMANTIC_VERSION_32, SEMANTIC_VERSION_43, TEMPLATE_PREF`

Constructor Summary
`protected` | `InterviewSet(Interview parent, java.lang.String baseTag)` Create an interview set.

Method Summary
`protected void` | `addDependency(Interview child, Interview dependency)` Specify a dependency for a child interview.
`protected void` | `removeDependency(Interview child, Interview dependency)` Remove any dependency between two interviews, and hence any ordering constraint between these two interviews.

Methods inherited from class com.sun.interview.Interview
`addObserver, callInterview, clear, clearMarkedResponses, containsObserver, createChecklist, createChecklistItem, createChecklistItem, createChecklistItem, export, getAllQuestions, getCurrentQuestion, getDefaultImage, getExportIgnoreExceptionPolicy, getExternalProperties, getFirstQuestion, getHelpSet, getInterview, getInterviewSemantics, getParent, getPath, getPathToCurrent, getPropertyKeys, getQuestions, getRawPath, getResourceBundle, getResourceString, getResourceString, getRoot, getTag, getTitle, hasNext, hasValidNext, isChecklistEmpty, isChecksumValid, isEdited, isFinishable, isFirst, isInterviewFinishable, isLast, isRoot, isStarted, iteratePath, iteratePathToCurrent, last, load, load, next, pathContains, pathContains, prev, propagateTemplateForAll, readLocale, removeAllMarkers, removeMarkers, removeObserver, reset, retrieveProperty, retrieveTemplateKeys, retrieveTemplateProperty, save, setBaseTag, setCurrentQuestion, setDefaultImage, setEdited, setExportIgnoreExceptionPolicy, setFirstQuestion, setHelpSet, setHelpSet, setHelpSet, setInterviewSemantics, setResourceBundle, setResourceBundle, setTitle, storeProperty, storeTemplateProperties, storeTemplateProperty, updatePath, updatePath, verifyPathContains, writeLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterviewSet

    protected InterviewSet(Interview parent,
                           java.lang.String baseTag)

  Create an interview set.

  Parameters:
    `parent` - the parent interview for this interview
    `baseTag` - A name that will be used to qualify the tags of any sub-interviews in this interview, to help ensure uniqueness of those tags.

Method Detail

### addDependency

    protected void addDependency(Interview child,
                                 Interview dependency)
                          throws InterviewSet.CycleFault

  Specify a dependency for a child interview. When the interview is executed, all dependencies for each child interview will be invoked before that child.

  Parameters:
    `child` - the interview which depends on (and will be executed after) the dependency
    `dependency` - the interview on which the child interview depends, and which will be executed before the child interview
  Throws:
    `InterviewSet.CycleFault` - if a dependecy cycle would be created
  See Also:
    `removeDependency(com.sun.interview.Interview, com.sun.interview.Interview)`

### removeDependency

    protected void removeDependency(Interview child,
                                    Interview dependency)

  Remove any dependency between two interviews, and hence any ordering constraint between these two interviews.

  Parameters:
    `child` - the interview which depends on the dependency
    `dependency` - the interview on which the child interview depends

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.